#!/bin/bash
set -exuo pipefail

name="$(basename $(cd -- "$( dirname -- "${BASH_SOURCE[0]}" )" &> /dev/null && pwd))"

sed -i "s#go-project-template.sample#${name}#g" README.md
mv go-project-template.sample.json "${name}.sample.json"
mv cmd/go-project-template "cmd/${name}"

go mod tidy

rm -rf finish-template-setup.sh
